Summary
Add one or more components to Project
Description
Add one or more components to Project
Route
POST /automation-studio/projects/:projectId/components/add
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| projectId |
string |
yes |
Project identifier |
| options |
object |
yes |
Configuration options for adding components to a Project |
Copied to Clipboard
{
"components": [
{
"iid": 57761176,
"type": "workflow",
"reference": "Duis in laborum veniam",
"folder": "/"
},
{
"iid": 14317905,
"type": "mopAnalyticTemplate",
"reference": "cupidatat dolore",
"folder": "/"
},
{
"iid": 7378283,
"type": "mopCommandTemplate",
"reference": "in culpa ut consequat",
"folder": "/"
},
{
"iid": 43568269,
"type": "jsonForm",
"reference": "anim consequat id exercitation",
"folder": "/"
},
{
"iid": 69760684,
"type": "mopAnalyticTemplate",
"reference": "velit ad deserunt",
"folder": "/"
}
],
"mode": "copy"
}
Copied to Clipboard
{
"title": "options",
"type": "object",
"required": [
"components"
],
"properties": {
"components": {
"$ref": "projects-common#/definitions/components"
},
"mode": {
"type": "string",
"enum": [
"move",
"copy"
]
}
}
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Updated project |
Copied to Clipboard
{
"message": "cupidatat id aliqua voluptate aute",
"data": [
{
"_id": "4321abcdef694aa79dae47ad",
"iid": 7050664,
"name": "Arista EOS Utilities",
"description": "This project is used at Acme Corp as the foundation of some major parts of our business process.",
"members": [
{
"type": "account",
"reference": "62a1f3d2ebedfc54e6e0065c",
"role": "editor",
"missing": true,
"username": "dolore irure ut in laborum",
"name": "laboris eu",
"provenance": "in exercitation velit sed laborum"
},
{
"type": "account",
"reference": "4321abcdef694aa79dae47ad",
"role": "operator",
"missing": true,
"username": "non veniam",
"name": "non",
"provenance": "amet id enim"
},
{
"type": "account",
"reference": "4321abcdef694aa79dae47ad",
"role": "viewer",
"missing": true,
"username": "non Lorem",
"name": "dolor anim amet",
"provenance": "cillum"
}
],
"accessControl": {
"read": [
"sint voluptate Lorem",
"in est"
],
"write": [
"mollit",
"veniam enim in elit Ut",
"labore qui officia",
"dolore",
"Ut minim eiusmod sunt"
],
"execute": [
"ullamco dolor sed non labore"
],
"manage": [
"ut incididunt dolore eu",
"nostrud enim non dolor",
"eu dolore"
]
},
"componentIidIndex": 45129962,
"components": [
{
"iid": 62337322,
"type": "jsonForm",
"reference": "dolor",
"folder": "/"
},
{
"iid": 12005984,
"type": "mopCommandTemplate",
"reference": "nostrud in ipsum",
"folder": "/"
},
{
"iid": 13725103,
"type": "transformation",
"reference": "Lorem cupidatat dolore exercitation enim",
"folder": "/"
}
],
"created": "2019-11-25T22:51:39.201Z",
"createdBy": {
"_id": "4321abcdef694aa79dae47ad",
"username": "labore fugiat",
"provenance": "elit adipisicing cillum ea sit",
"missing": false
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": {
"_id": "Pronghorn",
"username": "veniam culpa nisi labore anim",
"provenance": "enim minim reprehenderit veniam occaecat",
"missing": false
},
"versionHistory": [
{
"versionNumber": -97710245,
"commitMessage": "consequat ut enim",
"author": "eiusmod et do in",
"branchName": "laboris velit"
},
{
"versionNumber": 22932434,
"commitMessage": "ut mollit in elit incididunt",
"author": "veniam sit ut qui sunt",
"branchName": "culpa exercitation consequat"
}
],
"gitConfiguration": {
"connectionType": "GitHub",
"repositoryPath": "irure",
"branchName": "pariatur irure consectetur sunt culpa",
"projectPath": "dolor laborum mollit cillum"
}
}
],
"metadata": {
"newComponents": [],
"failedComponents": [],
"idMap": [
{
"original": "1a643151-459b-4a4a-be91-623536b65df3",
"clone": "8696f332-030b-4c2a-8b1b-95844cbb6aea"
}
]
}
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"message": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"$ref": "projects-http"
}
},
"metadata": {
"type": "object",
"properties": {
"newComponents": {
"type": "array",
"description": "Components added"
},
"failedComponents": {
"type": "array",
"description": "Components failed to add"
},
"idMap": {
"type": "array",
"description": "Id map for original and cloned component",
"examples": [
[
{
"original": "1a643151-459b-4a4a-be91-623536b65df3",
"clone": "8696f332-030b-4c2a-8b1b-95844cbb6aea"
}
]
]
}
}
}
}
}